Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::StockMenuItem Class Reference

A GtkImageMenuItem C++ wrapper class for stock items. More...

`#include <inti/gtk/imagemenuitem.h>`

Inheritance diagram for Inti::Gtk::StockMenuItem:

List of all members.

## Public Member Functions

- StockMenuItem (const char *stock_id, AccelGroup *accel_group=0)
    Construct a new StockMenuItem containing the image and text from a stock item.

## Detailed Description

A GtkImageMenuItem C++ wrapper class for stock items.

StockMenuItem is an ImageMenuItem that displays the image and text from a stock item.

## Constructor & Destructor Documentation

Inti::Gtk::StockMenuItem::StockMenuItem | ( | const char * | stock_id,
|  | AccelGroup * | accel_group = 0
| ) |

  | Construct a new StockMenuItem containing the image and text from a stock item. Parameters:
  stock_id | The name of the stock item.
  accel_group | The AccelGroup to add the menu items accelerator to, or null.
Some stock ids have preprocessor macros like GTK_STOCK_OK and GTK_STOCK_APPLY. If you want this menu item to have changeable accelerators, then pass in null for accel_group and call Gtk::MenuItem::set_accel_path() with an appropriate path for the menu item, then use Gtk::Stock::lookup() too look up the standard accelerator for the stock item and if one is found, call Gtk::AccelMap::add_entry() to register it.

The documentation for this class was generated from the following file:

- imagemenuitem.h

Main Page - Footer